Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Name

### lightSpecular()

Examples

    size(100, 100, P3D);
    background(0);
    noStroke();
    directionalLight(102, 102, 102, 0, 0, -1);
    lightSpecular(204, 204, 204);
    directionalLight(102, 102, 102, 0, 1, -1);
    lightSpecular(102, 102, 102);
    translate(20, 50, 0);
    specular(51, 51, 51);
    sphere(30);
    translate(60, 0, 0);
    specular(102, 102, 102);
    sphere(30);

Description

Sets the specular color for lights. Like fill(), it affects only the elements which are created after it in the code. Specular refers to light which bounces off a surface in a perferred direction (rather than bouncing in all directions like a diffuse light) and is used for creating highlights. The specular quality of a light interacts with the specular material qualities set through the specular() and shininess() functions.

Syntax

    lightSpecular(v1, v2, v3)

Parameters

v1 | int or float: red or hue value
v2 | int or float: green or hue value
v3 | int or float: blue or hue value

Returns | None
Usage | Web & Application
Related | lights() ambientLight() pointLight() spotLight()

Updated on November 22, 2008 08:39:26pm PST